#include "IOManager.h"

IOManager::IOManager(PCF8574 &pcf) : _pcf(pcf)
{
}

PCF8574 &IOManager::getPcf()
{
  return _pcf;
}

void IOManager::setISROnIOChange(void (*isrFunc)(), Pin pin)
{
  pinMode(pin, INPUT_PULLUP);
  attachInterrupt(digitalPinToInterrupt(pin), isrFunc, FALLING);
}
